<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
ini_set('memory_limit', '-1');
class PromocionEmergenteC extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->model('promociones/cosmetologo/promocionEmergenteC_model');
		$this->load->library(array('session','form_validation'));
	}

	//Acá se muestra la pantalla principal de este modulo (lista de promociones)
	public function index()
	{ 
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '2')
		{
			redirect(base_url().'acceso/acceso');
		} else {
    	$data['Franquicias']=$this->promocionEmergenteC_model->BuscarFranquicia();
		foreach ($data['Franquicias'] as $i => $Franquicias) 
		$this->db->select('*');
		$this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
		$this->db->join('zona','Zona_IdZona = IdZona','inner');
		$this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
		$this->db->where('TipoPromocion_IdTipoPromocion','4');
		$this->db->where('Estatus','ACTIVA');
		$this->db->where('Franquicias_IdFranquicias',$i);
		$data['consulta']=$this->db->get('promociones')->result();	
		$this->load->view('layout/headerCos');
		$this->load->view('layout/menuCosmetologo');
		$this->load->view('promociones/cosmetologo/listapromocionEmergenteC_view',$data);
		$this->load->view('layout/footer');
		}
	}

	//Esta función muestra un formulario con los datos de una promoción que ya ah sido guardada anteriormente para ver su información y asi poder editar los campos requeridos
	public function editar()
	{ 
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '2')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$id= $this->uri->segment(5);
		$obtenerenlace = $this->promocionEmergenteC_model->obtenerenlace($id);
		if($obtenerenlace != FALSE){
			foreach ($obtenerenlace->result() as $fila) {
				$IdPromociones = $fila->IdPromociones;
				$tipopromocion_IdTipoPromocion = $fila->tipopromocion_IdTipoPromocion;
				$NombrePromocion = $fila->NombrePromocion;
				$categoria_IdCategoria = $fila->categoria_IdCategoria;
				$Precio = $fila->Precio;
				$DescripcionPromocion = $fila->DescripcionPromocion;
				$FechaInicioPromocion = $fila->FechaInicioPromocion;
				$FechaTerminoPromocion=$fila->FechaTerminoPromocion;
				$franquicias_IdFranquicias=$fila->franquicias_IdFranquicias;
				$zona_IdZona=$fila->zona_IdZona;
			}
			$data = array(
				'IdPromociones' => $IdPromociones,
				'tipopromocion_IdTipoPromocion' => $tipopromocion_IdTipoPromocion,
				'NombrePromocion' => $NombrePromocion,
				'categoria_IdCategoria' => $categoria_IdCategoria,
				'Precio' => $Precio,
				'DescripcionPromocion' => $DescripcionPromocion,
				'FechaInicioPromocion' => $FechaInicioPromocion,
				'FechaTerminoPromocion' => $FechaTerminoPromocion,
				'franquicias_IdFranquicias' => $franquicias_IdFranquicias,
				'zona_IdZona' => $zona_IdZona);
			}else{
				$data ='';
				return FALSE;	
		}
		$data['ReCategoria']=$this->promocionEmergenteC_model->BuscarCategoria();
		$data['ReZona']=$this->promocionEmergenteC_model->BuscarZona();
		$data['ReFranquicia']=$this->promocionEmergenteC_model->BuscarFranquicia1();
		$this->load->view('layout/headerCos');
		$this->load->view('layout/menuCosmetologo');
		$this->load->view('promociones/cosmetologo/editarpromocionEmergenteF_view', $data);
		$this->load->view('layout/footer');
		}
	}

	//esta función perite buscar un apromoción por medio de su nombre
	public function buscar ()
	{		
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '2')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$data = array();
		$query = $this->input->get('query', TRUE);
		if ($query) {
			$result = $this->promocionEmergenteC_model->buscar(trim($query));
			if ($result != FALSE){
				$data = array(
					'result' => $result,
				);
			}else  {
				$data = array('result' => '');
			}	
				}else{
			$data = array('result' => '');
		}
		$this->load->view('layout/headerCos');
		$this->load->view('layout/menuCosmetologo');
		$this->load->view('promociones/cosmetologo/buscarpromocionEmergenteC_view', $data);
		$this->load->view('layout/footer');
		}
	}


	public function eliminar() 
	{
		 $id= $this->uri->segment(5);
		 $this->promocionlocalF_model->eliminar($id);
	
	}
}